# destroyScopedPod method

1. @override

void destroyScopedPod(

1. String podName

)
override

Destroys all pods in the specified scope.

This method destroys pods that belong to a specific scope, such as all request-scoped pods when a request completes.

## Usage Example:

    // When request completes
    factory.destroyScopedPod('request');

@param podName The name of the scope to destroy pods for

## Implementation

    @override
    void destroyScopedPod(String podName) async {
      if (_parent != null && await _parent!.getPodFactory().containsLocalPod(podName)) {
        _parent!.getPodFactory().destroyScopedPod(podName);
        return;
      }

      getPodFactory().destroyScopedPod(podName);
    }